summaryrefslogtreecommitdiffstats
path: root/system/eibd/rc.eibd.new
diff options
context:
space:
mode:
author V'yacheslav Stetskevych2010-05-13 01:00:46 +0200
committer David Somero2010-05-13 01:00:46 +0200
commit763c34d0110b69703283458632a408c79a256b4e (patch)
tree6805a648161dd1138a410db74a2da2e2e29ff290 /system/eibd/rc.eibd.new
parentae29ef7f6e7169ad3bec940f6704c5096fe81e5d (diff)
downloadslackbuilds-763c34d0110b69703283458632a408c79a256b4e.tar.gz
system/eibd: Added to 13.0 repository
Diffstat (limited to 'system/eibd/rc.eibd.new')
-rw-r--r--system/eibd/rc.eibd.new51
1 files changed, 51 insertions, 0 deletions
diff --git a/system/eibd/rc.eibd.new b/system/eibd/rc.eibd.new
new file mode 100644
index 0000000000..d1514c18b3
--- /dev/null
+++ b/system/eibd/rc.eibd.new
@@ -0,0 +1,51 @@
+#!/bin/sh
+# rc.eibd -- Slackware startup script for eibd
+# Start/stop/restart the eibd daemon.
+# Written by V'yacheslav Stetskevych
+
+# Run "eibd --help" to see all the various bus connection options.
+# This script shows how to set up an IP Tunneling and USB connectios.
+# Adapt to your needs.
+
+eib_start() {
+echo "Adding a multicast route for eibd..."
+/sbin/route add 224.0.23.12 dev eth0
+
+echo "Starting the eibd daemon..."
+echo "$0: Startup error: first uncomment one of the startup options and remove this line."
+
+## IP Tunnelling backend ================================================
+## Use "eibnetsearch -" to locate your IP-capable BCU devices
+#KNXIP="192.168.0.5"
+#/usr/bin/eibd -DTS --daemon=/var/log/eibd.log --listen-tcp ipt:$KNXIP
+
+## USB backend ==========================================================
+#KNXUSB="$(findknxusb | awk '{print $2}' | grep -v addr)"
+#/usr/bin/eibd -DTS --daemon=/var/log/eibd.log --listen-tcp usb:$KNXUSB
+
+}
+
+eib_stop() {
+ echo "Deleting the eibd multicast route..."
+ /sbin/route del 224.0.23.12
+ echo "Stopping the eibd daemon..."
+ killall eibd >/dev/null 2>&1
+}
+
+case $1 in
+ start)
+ eib_start
+ ;;
+ stop)
+ eib_stop
+ ;;
+ restart)
+ eib_stop
+ sleep 2
+ eib_start
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart}"
+ exit 1
+ ;;
+esac